Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.latex
Class LatexViewFactory.AbstractCurveView

    java.lang.Object
      jpicedt.graphic.view.AbstractView
          jpicedt.graphic.view.DefaultViewFactory.LeafElementView
              jpicedt.graphic.view.DefaultViewFactory.AbstractCurveView
                  jpicedt.format.output.latex.LatexViewFactory.AbstractCurveView

All Implemented Interfaces:
  View, ViewConstants

Enclosing class:
  LatexViewFactory

public class LatexViewFactory.AbstractCurveView
extends DefaultViewFactory.AbstractCurveView

a View for rendering any concrete implementation of jpicedt.graphic.model.AbstractCurve LaTeX-picture environment does not allow filling such shapes.

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.AbstractCurveView
`arrow1, arrow1Dir, arrow1Loc, arrow2, arrow2Dir, arrow2Loc, arrowStroke, dotDrawPaint, dotFillPaint, dotShape, dotStroke, hasSegments, isDotFilled`

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`interiorPaint, lineWidth, outlinePaint, outlineStroke, overStrikeWidth, shadowBounds, shape`

Fields inherited from class jpicedt.graphic.view.AbstractView
`bounds, element, highlighter`

Fields inherited from interface jpicedt.graphic.view.ViewConstants
`BARBELL_SIZE, CLICK_DISTANCE`

Constructor Summary
`LatexViewFactory.AbstractCurveView(AbstractCurve curve)` construct a new View for the given curve

Method Summary
`protected void` | `syncAttributes()` Inherits from superclass, except for filling behaviour
`protected void` | `syncDotShape()` Computes the Shape (centered at 0,0) used for drawing polygon's dots, built from the given attributes ; this implementation sets it to null, as dotting is not supported.

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.AbstractCurveView
`paint, syncShape`

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`changedUpdate, getViewFactory, hitTest, syncBounds`

Methods inherited from class jpicedt.graphic.view.AbstractView
`getBounds, getContainer, getDrawing, getElement, getGraphics, getHighlighter, getParentView, hitTest, paintHighlighter, repaint, setElement, setHighlighter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatexViewFactory.AbstractCurveView

    public LatexViewFactory.AbstractCurveView(AbstractCurve curve)

  construct a new View for the given curve

Method Detail

### syncAttributes

    protected void syncAttributes()

  Inherits from superclass, except for filling behaviour

  Overrides:
    `syncAttributes` in class `DefaultViewFactory.AbstractCurveView`

### syncDotShape

    protected void syncDotShape()

  Computes the Shape (centered at 0,0) used for drawing polygon's dots, built from the given attributes ; this implementation sets it to null, as dotting is not supported.

  Overrides:
    `syncDotShape` in class `DefaultViewFactory.AbstractCurveView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org